Bug 244384 - Firefox font antialises too much
Firefox font antialises too much
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
10
i386 Linux
low Severity low
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
pleaForReproductionFF3
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-15 08:06 EDT by markm
Modified: 2013-01-13 07:51 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 00:56:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Firefox 2.0.0.12 and latest Manfield (342.94 KB, image/png)
2008-03-11 11:45 EDT, markm
no flags Details
wikipedia.org on Firefox 2.0.0.12 (background) and Manfield (top) (460.76 KB, image/png)
2008-03-12 06:19 EDT, markm
no flags Details
Firefox 3.0.2 running on Fedora 10 Spin 3 (rawhide) (400.40 KB, image/png)
2008-10-29 08:09 EDT, markm
no flags Details
Default font set to serif (default for Firefox 3) (5.30 KB, image/png)
2008-10-29 08:12 EDT, markm
no flags Details
Default font set to Times New Roman (font is smaller) (4.50 KB, image/png)
2008-10-29 08:12 EDT, markm
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 384090 None None None Never
Mozilla Foundation 400265 None None None Never

  None (edit)
Description markm 2007-06-15 08:06:27 EDT
Description of problem:

in Firefox, while browsing a websites I've noticed that in most cases the font
is slightly too big - it's like 1px difference between what is rendered and what
is expected.

Version-Release number of selected component (if applicable):

firefox-2.0.0.4-2.fc7

How reproducible:

alywas

Steps to Reproduce:
1. open the website (for example www.jakilinux.org )
2. font is bigger then expected
  
Actual results:

font is bigger then expected

Expected results:

slightly smaller font

Additional info:

I have downloaded firefox 2.0.0.4 from mozilla.org website and in this version
font size is correct, so I assume that it is a problem with Fedora build.
Comment 1 David Rees 2007-10-25 04:41:15 EDT
If you add:

export MOZ_DISABLE_PANGO=1

to /usr/bin/firefox or otherwise set MOZ_DISABLE_PANGO to 1 in your environment
before launching firefox, does that help?
Comment 2 markm 2007-10-30 08:44:29 EDT
I've posted this bug on mozilla's bugzilla to, so you can read discussion there:
https://bugzilla.mozilla.org/show_bug.cgi?id=400265 and there:
https://bugzilla.mozilla.org/show_bug.cgi?id=384090

disabling pango doesn't help :(
Comment 3 markm 2007-11-10 16:33:08 EST
after update to fedora 8 problem still exists
Comment 4 Matěj Cepl 2008-02-21 17:34:53 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 5 Matěj Cepl 2008-02-21 17:36:14 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 6 markm 2008-03-11 11:45:49 EDT
Created attachment 297630 [details]
Firefox 2.0.0.12 and latest Manfield

setting dpi = 96 helps in many cases, but still have a problem on some
websites.

was testing Fedora 9 Alfa yesterday, this particular page looks exactly the
same in Firefox 3 beta 3 on F9.
Comment 7 markm 2008-03-12 06:19:08 EDT
Created attachment 297744 [details]
wikipedia.org on Firefox 2.0.0.12 (background) and Manfield (top)

another example - wikipedia.org - I cannot read it on Manfield - font looks
ugly and is unreadable.
Comment 8 Matěj Cepl 2008-03-12 07:20:39 EDT
well, I would have hard time to call this unreadable, but yes, I got the point.
Hold on, I will take a look what's going on.
Comment 9 Matěj Cepl 2008-03-12 07:35:52 EDT
I have couple of bugs which are duplicates of this -- unfortunately all of them
are already closed ;-) So, pick your poison among bug 371281, bug 240959, bug
366271, 241236. I picked the first one.

*** This bug has been marked as a duplicate of 371281 ***
Comment 10 markm 2008-03-12 07:52:41 EDT
yeah, resolution is simple for "to big font" - just set up dpi within firefox to
96 and it works fine, but as you can see on the screenshot, I have attached,
Manfield renders fonts in different way - unexpected and unwanted by me. If you
prefer, I can open separate bug for this. Just to remind, I've set up dpi to 96
already and still Manfield renders fonts in different way, especially on pages,
where font is set to "serif" or "sans-serif" - Manfield is choosing wrong and
unexpected fonts with ugly hinting. My preferred font settings are Subpixel with
slight hinting, what Manfield presents, it is definitely not a slight hinting.
Comment 11 Matěj Cepl 2008-03-12 16:06:12 EDT
Oh, finally I got it.

Behdad, Christopher, any ideas why FF3 has this weird hinting?
Comment 12 Behdad Esfahbod 2008-03-13 19:45:27 EDT
No idea.  should be tracked upstream.
Comment 13 markm 2008-03-31 17:03:14 EDT
the 'upstream' does not want to do anything about - it's a political decision.
the problem is in Cairo or Pango - new firefox uses its version 1.5. The problem
was already solved for Ubuntu users (maintainers has added some patches to fix
wrong font rendering in Firefox 3). Can we have it fixed in Fedora too? Please,
thanks.
Comment 14 Matěj Cepl 2008-04-01 10:42:06 EDT
(In reply to comment #13)
> The problem was already solved for Ubuntu users (maintainers has added some 
> patches to fix wrong font rendering in Firefox 3). Can we have it fixed in 
> Fedora too? Please, thanks.

Do you know which Ubuntu bug/patches these are?

Comment 15 markm 2008-04-08 07:38:09 EDT
I don't actually know, but I have found this comment:

https://bugzilla.mozilla.org/show_bug.cgi?id=404637#c8

> This is clearly a cairo issue. See:
> https://bugs.freedesktop.org/show_bug.cgi?id=10301
> Things are actually stalled upstream unfortunately. Ubuntu/Debian users are
> lucky because their cairo is patched against this bug.

this bug http://bugs.freedesktop.org/show_bug.cgi?id=10301 has some patches
added. Hope it helps.
Comment 16 Martin Stransky 2008-10-29 07:08:22 EDT
Taking this bug. Anyway, is this bug still present in rawhide? We use system cairo there...
Comment 17 markm 2008-10-29 08:08:33 EDT
I've downloaded Fedora-10-spin-3 and tested firefox running live cd.

Somehow firefox respects fonts settings, but still font looks different to the way system is rendering fonts. Also, firefox uses strange fonts for default serif, sans-serif families - they are bigger and wider. When I change default from “serif” to “Times New Roman” - fonts are smaller.

See screenshots attached.
Comment 18 markm 2008-10-29 08:09:51 EDT
Created attachment 321793 [details]
Firefox 3.0.2 running on Fedora 10 Spin 3 (rawhide)
Comment 19 markm 2008-10-29 08:12:18 EDT
Created attachment 321794 [details]
Default font set to serif (default for Firefox 3)
Comment 20 markm 2008-10-29 08:12:52 EDT
Created attachment 321795 [details]
Default font set to Times New Roman (font is smaller)
Comment 21 Matěj Cepl 2008-10-29 11:13:46 EDT
(In reply to comment #17)
> I've downloaded Fedora-10-spin-3 and tested firefox running live cd.
> 
> Somehow firefox respects fonts settings, but still font looks different to the
> way system is rendering fonts.

Could you elaborate on this? Not sure, I understand what you mean.

> Also, firefox uses strange fonts for default
> serif, sans-serif families - they are bigger and wider. When I change default
> from “serif” to “Times New Roman” - fonts are smaller.

This is NOTABUG -- we don't have Times New Roman as default font (and why we should have?), but rather Dejavu family. If the form is not able to work with other font than the one default on Windows, then it is broken or at least users shouldn't be surprised when it looks different (or they can require "Times New Roman" in CSS, if they insist on that font). HTML doesn't guarantee any particular look of a webpage.
Comment 22 markm 2008-10-29 11:31:27 EDT
(In reply to comment #21)
> (In reply to comment #17)
> > I've downloaded Fedora-10-spin-3 and tested firefox running live cd.
> > 
> > Somehow firefox respects fonts settings, but still font looks different to the
> > way system is rendering fonts.
> 
> Could you elaborate on this? Not sure, I understand what you mean.

when I change rendering settings in “Appearance”, firefox does not follow this changes - i.e. medium hinting and strong looks exactly the same in firefox. when I compare system rendering and firefox - it looks slightly different - fonts in firefox are “more colourful”, sometimes text is “flowing” when I look at it - by flowing I mean illusion of flowing.

> > Also, firefox uses strange fonts for default
> > serif, sans-serif families - they are bigger and wider. When I change default
> > from “serif” to “Times New Roman” - fonts are smaller.
> 
> This is NOTABUG -- we don't have Times New Roman as default font (and why we
> should have?), but rather Dejavu family. If the form is not able to work with
> other font than the one default on Windows, then it is broken or at least users
> shouldn't be surprised when it looks different (or they can require "Times New
> Roman" in CSS, if they insist on that font). HTML doesn't guarantee any
> particular look of a webpage.

You are right :) Also - was playing with that and has noticed something else - in my example above (screenshots of login page) “E-mail address” text with default serif is rendered correctly if application font is set to 9pt or above, if I set lower value, then this text gets wrapped. Also input field inherits document font size (set in Appearance) where it should rather follow font set by the website (in this occasion default) - as it looks really odd when you've got huge text “E-mail address” and tiny input field ;-) but I guess I should report it on mozilla's buggzila, right?
Comment 23 Matěj Cepl 2008-10-29 11:42:09 EDT
(In reply to comment #22)
> when I change rendering settings in “Appearance”, firefox does not follow this
> changes - i.e. medium hinting and strong looks exactly the same in firefox.
> when I compare system rendering and firefox - it looks slightly different -
> fonts in firefox are “more colourful”, sometimes text is “flowing” when I look
> at it - by flowing I mean illusion of flowing.

OK, passing to Pango guys. That's far beyond what FF does IMHO.

> You are right :) Also - was playing with that and has noticed something else -
> in my example above (screenshots of login page) “E-mail address” text with
> default serif is rendered correctly if application font is set to 9pt or above,
> if I set lower value, then this text gets wrapped.

Yes, author of that page used table and didn't it right. Feel free to pay a visit to bugzilla.mozilla.org ;-).
Comment 24 Behdad Esfahbod 2008-10-31 01:20:13 EDT
Well beyond me.  Belongs in FF land and how it does fonts really.
Comment 25 Bug Zapper 2008-11-25 20:55:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Jesse Keating 2009-03-09 23:53:53 EDT
I just looked at the page with Minefield 3.1 Beta 2 and I don't notice anything really wrong with it.  Is this still an issue with the latest FF builds?
Comment 27 markm 2009-03-10 05:58:08 EDT
(In reply to comment #26)
> I just looked at the page with Minefield 3.1 Beta 2 and I don't notice anything
> really wrong with it.  Is this still an issue with the latest FF builds?  

issues still not resolved in Minefield:

 * default fonts are bigger then expected and slightly different (I understand a reason why they are set on linux platform that way, but they should default to Times New Roman / Arial if they are available)

 * when font hinting is set to “Slight”, default sans-serif font has colourful artefacts, it disappears when hinting is set to “Hard”

 * My desktop has font size set to 7.5pt, Firefox is using 7pt in menus / windows though

anyway I got used to this issues :)
Comment 28 Bug Zapper 2009-11-18 07:19:23 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 29 Bug Zapper 2009-12-18 00:56:04 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.